xine-lib: xine_private_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Public Types | Data Fields
xine_private_t Struct Reference

`#include <xine_private.h>`

## Public Types
enum | { XINE_IP_PREF_AUTO = 0 , XINE_IP_PREF_4 , XINE_IP_PREF_4_6 , XINE_IP_PREF_6_4 }

## Data Fields
xine_t | x
xine_ticket_t * | port_ticket
pthread_mutex_t | log_lock
xine_log_cb_t | log_cb
void * | log_cb_user_data
int | flags
int | network_timeout
enum xine_private_t:: { ... } | ip_pref
uint32_t | join_av:1
uint32_t | speed_change_flags
int | speed_change_new_live
int | speed_change_new_speed
pthread_mutex_t | speed_change_lock
pthread_cond_t | speed_change_done
struct { |
char * decoder_pri_help |
} | strings |
struct { |
int black |
int color |
int gen |
uint8_t tab [256 *2] |
} | dvbsub |

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
XINE_IP_PREF_AUTO |
XINE_IP_PREF_4 |
XINE_IP_PREF_4_6 |
XINE_IP_PREF_6_4 |

## Field Documentation

## ◆ black

int xine_private_t::black

Referenced by _spu_dvbsub_make_tab(), _spu_dvbsub_set_black(), _x_spu_get_opacity(), and _x_spu_misc_init().

## ◆ color

int xine_private_t::color

Referenced by _spu_dvbsub_make_tab(), _spu_dvbsub_set_color(), _x_spu_get_opacity(), and _x_spu_misc_init().

## ◆ decoder_pri_help

char* xine_private_t::decoder_pri_help

Referenced by _insert_node(), and _x_dispose_plugins().

## ◆ [struct]

struct { ... } xine_private_t::dvbsub

Referenced by _spu_dvbsub_make_tab(), _spu_dvbsub_set_black(), _spu_dvbsub_set_color(), _x_spu_dvb_opacity(), _x_spu_get_opacity(), and _x_spu_misc_init().

## ◆ flags

int xine_private_t::flags

## ◆ gen

int xine_private_t::gen

Referenced by _spu_dvbsub_make_tab(), _x_spu_dvb_opacity(), and _x_spu_misc_init().

## ◆ []

enum { ... } xine_private_t::ip_pref

Referenced by _x_io_tcp_handshake_connect().

## ◆ join_av

uint32_t xine_private_t::join_av

Referenced by xine_open().

## ◆ log_cb

xine_log_cb_t xine_private_t::log_cb

## ◆ log_cb_user_data

void* xine_private_t::log_cb_user_data

## ◆ log_lock

pthread_mutex_t xine_private_t::log_lock

## ◆ network_timeout

int xine_private_t::network_timeout

Referenced by _x_io_file_read(), _x_io_file_write(), _x_io_tcp_handshake_connect(), _x_io_tcp_part_read(), _x_io_tcp_read(), _x_io_tcp_write(), and _x_query_network_timeout().

## ◆ port_ticket

xine_ticket_t* xine_private_t::port_ticket

Referenced by _osd_show(), _x_demux_flush_engine(), _x_get_current_frame_data(), _x_lock_port_rewiring(), _x_query_buffer_usage(), _x_query_buffers(), _x_query_unprocessed_osd_events(), _x_select_spu_channel(), _x_spu_decoder_sleep(), _x_unlock_port_rewiring(), audio_decoder_loop(), close_internal(), osd_free_object(), osd_get_capabilities(), osd_hide(), play_internal(), set_speed_internal(), stream_rewire_audio(), stream_rewire_video(), video_decoder_loop(), xine_get_param(), xine_new_grab_video_frame(), xine_post_init(), xine_set_param(), and xine_stop().

## ◆ speed_change_done

pthread_cond_t xine_private_t::speed_change_done

Referenced by _x_set_fine_speed(), and lock_run().

## ◆ speed_change_flags

uint32_t xine_private_t::speed_change_flags

Referenced by _x_set_fine_speed(), lock_run(), and unlock_run().

## ◆ speed_change_lock

pthread_mutex_t xine_private_t::speed_change_lock

Referenced by _x_set_fine_speed(), lock_run(), and unlock_run().

## ◆ speed_change_new_live

int xine_private_t::speed_change_new_live

Referenced by _x_set_fine_speed().

## ◆ speed_change_new_speed

int xine_private_t::speed_change_new_speed

Referenced by _x_set_fine_speed(), and lock_run().

## ◆ [struct]

struct { ... } xine_private_t::strings

Referenced by _insert_node(), and _x_dispose_plugins().

## ◆ tab

uint8_t xine_private_t::tab[256 *2]

Referenced by _spu_dvbsub_make_tab(), and _x_spu_dvb_opacity().

## ◆ x

xine_t xine_private_t::x

Referenced by _x_io_tcp_handshake_connect(), _x_set_fine_speed(), _x_spu_decoder_sleep(), _x_spu_misc_init(), lock_run(), set_speed_internal(), xine_open(), and xine_post_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/xine_private.h